package com.fastbee.data.controller.gis.water;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.fastbee.common.annotation.Log;
import com.fastbee.common.core.controller.BaseController;
import com.fastbee.common.core.domain.AjaxResult;
import com.fastbee.common.enums.BusinessType;
import com.fastbee.ggroup.domain.GSiteSluiceInfo;
import com.fastbee.ggroup.service.IGSiteSluiceInfoService;
import com.fastbee.common.utils.poi.ExcelUtil;
import com.fastbee.common.core.page.TableDataInfo;

/**
 * 水闸基本信息Controller
 *
 * @author kerwincui
 * @date 2024-10-31
 */
@RestController
@RequestMapping("/gis/site/sluice/info")
@Api(tags = "水闸基本信息")
public class GSiteSluiceInfoController extends BaseController
{
    @Autowired
    private IGSiteSluiceInfoService gSiteSluiceInfoService;


    /**
     * 获取水闸基本信息详细信息
    */
//    @PreAuthorize("@ss.hasPermi('ggroup:info:siteId')")
    @GetMapping(value = "/{siteId}")
    @ApiOperation("获取水闸基本信息详细信息")
    public AjaxResult getsiteIdInfo(@PathVariable("siteId") Long siteId)
    {
        return AjaxResult.success(gSiteSluiceInfoService.selectGSiteSluiceInfoBySiteId(siteId));
    }


    /**
     * 修改水闸基本信息
     */
//    @PreAuthorize("@ss.hasPermi('ggroup:info:edit')")
    @PutMapping
    @ApiOperation("修改水闸基本信息")
    public AjaxResult edit(@RequestBody GSiteSluiceInfo gSiteSluiceInfo)
    {
        return toAjax(gSiteSluiceInfoService.updateGSiteSluiceInfo(gSiteSluiceInfo));
    }




}
