package com.fastbee.breakdown.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 故障对象 iot_device_breakdown
 *
 * @author kerwincui
 * @date 2024-11-27
 */
@ApiModel(value = "DeviceBreakdown",description = "故障 iot_device_breakdown")
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("iot_device_breakdown")
public class DeviceBreakdown extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 分类 */
            @Excel(name = "分类")
            @ApiModelProperty("分类")
    private String type;

    /** 故障名 */
            @Excel(name = "故障名")
            @ApiModelProperty("故障名")
    private String faultName;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

}
