package com.fastbee.breakdown.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.breakdown.domain.DeviceBreakdown;
import org.apache.ibatis.annotations.Mapper;

/**
 * 故障Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-27
 */
@Mapper
public interface DeviceBreakdownMapper extends BaseMapper<DeviceBreakdown>
{
    /**
     * 查询故障
     *
     * @param id 故障主键
     * @return 故障
     */
    public DeviceBreakdown selectDeviceBreakdownById(Long id);

    /**
     * 查询故障列表
     *
     * @param deviceBreakdown 故障
     * @return 故障集合
     */
    public List<DeviceBreakdown> selectDeviceBreakdownList(DeviceBreakdown deviceBreakdown);

    /**
     * 新增故障
     *
     * @param deviceBreakdown 故障
     * @return 结果
     */
    public int insertDeviceBreakdown(DeviceBreakdown deviceBreakdown);

    /**
     * 修改故障
     *
     * @param deviceBreakdown 故障
     * @return 结果
     */
    public int updateDeviceBreakdown(DeviceBreakdown deviceBreakdown);

    /**
     * 删除故障
     *
     * @param id 故障主键
     * @return 结果
     */
    public int deleteDeviceBreakdownById(Long id);

    /**
     * 批量删除故障
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceBreakdownByIds(Long[] ids);
}
