package com.fastbee.breakdown.service;

import java.util.List;
import com.fastbee.breakdown.domain.dto.IotDeviceBreakdown;
import com.fastbee.breakdown.domain.DeviceBreakdown;

/**
 * 故障Service接口
 * 
 * @author kerwincui
 * @date 2024-11-27
 */
public interface IDeviceBreakdownService 
{
    /**
     * 查询故障
     * 
     * @param id 故障主键
     * @return 故障
     */
    public DeviceBreakdown selectDeviceBreakdownById(Long id);

    /**
     * 查询故障列表
     * 
     * @param deviceBreakdown 故障
     * @return 故障集合
     */
    public List<DeviceBreakdown> selectDeviceBreakdownList(DeviceBreakdown deviceBreakdown);

    /**
     * 新增故障
     * 
     * @param deviceBreakdown 故障
     * @return 结果
     */
    public int insertDeviceBreakdown(DeviceBreakdown deviceBreakdown);

    /**
     * 修改故障
     * 
     * @param deviceBreakdown 故障
     * @return 结果
     */
    public int updateDeviceBreakdown(DeviceBreakdown deviceBreakdown);

    /**
     * 批量删除故障
     * 
     * @param ids 需要删除的故障主键集合
     * @return 结果
     */
    public int deleteDeviceBreakdownByIds(Long[] ids);

    /**
     * 删除故障信息
     * 
     * @param id 故障主键
     * @return 结果
     */
    public int deleteDeviceBreakdownById(Long id);

    /**
     * 统计故障的分组数量
     * @param TypeValue
     * @param CreateTimeValue
     * @return
     */
    public List<IotDeviceBreakdown> getFaultStatistics(String TypeValue,String CreateTimeValue, String EndTimeValue);
}
