package com.fastbee.crop.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 作物产量记录对象 agriculture_crop_yield
 *
 * @author kerwincui
 * @date 2024-11-26
 */
@ApiModel(value = "AgricultureCropYield",description = "作物产量记录 agriculture_crop_yield")
@Data
@EqualsAndHashCode(callSuper = true)
public class AgricultureCropYield extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 产量值（单位：千克） */
            @Excel(name = "产量值", readConverterExp = "单=位：千克")
            @ApiModelProperty("产量值")
    private BigDecimal yieldValue;

    /** 收获年 */
            @Excel(name = "收获年")
            @ApiModelProperty("收获年")
    private String harvestYear;

    /** 作物类型 */
            @Excel(name = "作物类型")
            @ApiModelProperty("作物类型")
    private String cropType;

    /** 收获月 */
            @Excel(name = "收获月")
            @ApiModelProperty("收获月")
    private String harvestMonth;

}
