package com.fastbee.deviceData.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 墒情实时数据对象 iot_device_realtimedata_moisture
 *
 * @author kerwincui
 * @date 2024-11-14
 */
@ApiModel(value = "DeviceRealtimedataMoisture",description = "墒情实时数据 iot_device_realtimedata_moisture")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("iot_device_realtimedata_moisture")
public class DeviceRealtimedataMoisture
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 设备id */
    @Excel(name = "设备id")
    @ApiModelProperty("设备id")
    private String deviceId;

    /** 土壤温度 */
            @Excel(name = "土壤温度")
            @ApiModelProperty("土壤温度")
    private BigDecimal soilTemp;

    /** 土壤湿度 */
            @Excel(name = "土壤湿度")
            @ApiModelProperty("土壤湿度")
    private BigDecimal soilHumi;

    /** 土壤EC */
            @Excel(name = "土壤EC")
            @ApiModelProperty("土壤EC")
    private BigDecimal soilEc;

    /** 土壤Ph */
            @Excel(name = "土壤Ph")
            @ApiModelProperty("土壤Ph")
    private BigDecimal soilPh;

    /** 一层土壤温度 */
            @Excel(name = "一层土壤温度")
            @ApiModelProperty("一层土壤温度")
    private BigDecimal soilTemp1;

    /** 一层土壤湿度 */
            @Excel(name = "一层土壤湿度")
            @ApiModelProperty("一层土壤湿度")
    private BigDecimal soilHumi1;

    /** 二层土壤温度 */
            @Excel(name = "二层土壤温度")
            @ApiModelProperty("二层土壤温度")
    private BigDecimal soilTemp2;

    /** 二层土壤湿度 */
            @Excel(name = "二层土壤湿度")
            @ApiModelProperty("二层土壤湿度")
    private BigDecimal soilHumi2;

    /** 三层土壤温度 */
            @Excel(name = "三层土壤温度")
            @ApiModelProperty("三层土壤温度")
    private BigDecimal soilTemp3;

    /** 三层土壤湿度 */
            @Excel(name = "三层土壤湿度")
            @ApiModelProperty("三层土壤湿度")
    private BigDecimal soilHumi3;

    /** 四层土壤温度 */
            @Excel(name = "四层土壤温度")
            @ApiModelProperty("四层土壤温度")
    private BigDecimal soilTemp4;

    /** 四层土壤湿度 */
            @Excel(name = "四层土壤湿度")
            @ApiModelProperty("四层土壤湿度")
    private BigDecimal soilHumi4;

    /** 环境温度 */
            @Excel(name = "环境温度")
            @ApiModelProperty("环境温度")
    private BigDecimal airTemp;

    /** 设备温度 */
            @Excel(name = "设备温度")
            @ApiModelProperty("设备温度")
    private BigDecimal mppTemp;

    /** 电池电量 */
            @Excel(name = "电池电量")
            @ApiModelProperty("电池电量")
    private BigDecimal batteryCap;

    /** 电池电压 */
            @Excel(name = "电池电压")
            @ApiModelProperty("电池电压")
    private BigDecimal batteryVolt;

    /** 电池电流 */
            @Excel(name = "电池电流")
            @ApiModelProperty("电池电流")
    private BigDecimal batteryCur;

    /** 电池功率 */
            @Excel(name = "电池功率")
            @ApiModelProperty("电池功率")
    private BigDecimal batteryPower;

    /** 负载电压 */
            @Excel(name = "负载电压")
            @ApiModelProperty("负载电压")
    private BigDecimal loadVolt;

    /** 负载电流 */
            @Excel(name = "负载电流")
            @ApiModelProperty("负载电流")
    private BigDecimal loadCur;

    /** 负载功率 */
            @Excel(name = "负载功率")
            @ApiModelProperty("负载功率")
    private BigDecimal loadPower;

    /** 光伏电压 */
            @Excel(name = "光伏电压")
            @ApiModelProperty("光伏电压")
    private BigDecimal photVolt;

    /** 光伏电流 */
            @Excel(name = "光伏电流")
            @ApiModelProperty("光伏电流")
    private BigDecimal photCur;

    /** 光伏功率 */
            @Excel(name = "光伏功率")
            @ApiModelProperty("光伏功率")
    private BigDecimal photPower;

    /** 当日累计充电量 */
            @Excel(name = "当日累计充电量")
            @ApiModelProperty("当日累计充电量")
    private BigDecimal cumChargeDay;

    /** 当月累计充电量 */
            @Excel(name = "当月累计充电量")
            @ApiModelProperty("当月累计充电量")
    private BigDecimal cumChargeMon;

    /** 当年累积充电量 */
            @Excel(name = "当年累积充电量")
            @ApiModelProperty("当年累积充电量")
    private BigDecimal cumChargeYear;

    /** 总累计充电量 */
            @Excel(name = "总累计充电量")
            @ApiModelProperty("总累计充电量")
    private BigDecimal cumChargeAll;

    /** 当日累计用电量 */
            @Excel(name = "当日累计用电量")
            @ApiModelProperty("当日累计用电量")
    private BigDecimal cumEleDay;

    /** 当月累积用电量 */
            @Excel(name = "当月累积用电量")
            @ApiModelProperty("当月累积用电量")
    private BigDecimal cumEleMon;

    /** 当年累计用电量 */
            @Excel(name = "当年累计用电量")
            @ApiModelProperty("当年累计用电量")
    private BigDecimal cumEleYear;

    /** 总累积用电量 */
            @Excel(name = "总累积用电量")
            @ApiModelProperty("总累积用电量")
    private BigDecimal cumEleAll;

    /** 手动控制模式 */
            @Excel(name = "手动控制模式")
            @ApiModelProperty("手动控制模式")
    private Long shoudong;

    /** 远程通断电 */
            @Excel(name = "远程通断电")
            @ApiModelProperty("远程通断电")
    private Long control;

    /** 保存时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "保存时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("保存时间")
    private Date saveTime;

    /** 实时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "实时时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("实时时间")
    private Date realTime;

}
