package com.fastbee.deviceData.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 光伏设备实时数据对象 iot_device_realtimedata_photovoltaic
 *
 * @author kerwincui
 * @date 2024-11-15
 */
@ApiModel(value = "DeviceRealtimedataPhotovoltaic",description = "光伏设备实时数据 iot_device_realtimedata_photovoltaic")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("iot_device_realtimedata_photovoltaic")
public class DeviceRealtimedataPhotovoltaic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 设备id */
    @Excel(name = "设备id")
    @ApiModelProperty("设备id")
    private String deviceId;

    /** 1#环境温度 */
    @Excel(name = "1#环境温度")
    @ApiModelProperty("1#环境温度")
    private BigDecimal airTemp;

    /** 1#设备温度 */
    @Excel(name = "1#设备温度")
    @ApiModelProperty("1#设备温度")
    private BigDecimal mppTemp;

    /** 1#电池电量 */
    @Excel(name = "1#电池电量")
    @ApiModelProperty("1#电池电量")
    private BigDecimal batteryCap;

    /** 1#电池电压 */
    @Excel(name = "1#电池电压")
    @ApiModelProperty("1#电池电压")
    private BigDecimal batteryVolt;

    /** 1#电池电流 */
    @Excel(name = "1#电池电流")
    @ApiModelProperty("1#电池电流")
    private BigDecimal batteryCur;

    /** 1#电池功率 */
    @Excel(name = "1#电池功率")
    @ApiModelProperty("1#电池功率")
    private BigDecimal batteryPower;

    /** 1#负载电压 */
    @Excel(name = "1#负载电压")
    @ApiModelProperty("1#负载电压")
    private BigDecimal loadVolt;

    /** 1#负载电流 */
    @Excel(name = "1#负载电流")
    @ApiModelProperty("1#负载电流")
    private BigDecimal loadCur;

    /** 1#负载功率 */
    @Excel(name = "1#负载功率")
    @ApiModelProperty("1#负载功率")
    private BigDecimal loadPower;

    /** 1#光伏电压 */
    @Excel(name = "1#光伏电压")
    @ApiModelProperty("1#光伏电压")
    private BigDecimal photVolt;

    /** 1#光伏电流 */
    @Excel(name = "1#光伏电流")
    @ApiModelProperty("1#光伏电流")
    private BigDecimal photCur;

    /** 1#光伏功率 */
    @Excel(name = "1#光伏功率")
    @ApiModelProperty("1#光伏功率")
    private BigDecimal photPower;

    /** 1#当日累计充电量 */
    @Excel(name = "1#当日累计充电量")
    @ApiModelProperty("1#当日累计充电量")
    private BigDecimal cumChargeDay;

    /** 1#当月累计充电量 */
    @Excel(name = "1#当月累计充电量")
    @ApiModelProperty("1#当月累计充电量")
    private BigDecimal cumChargeMon;

    /** 1#当年累积充电量 */
    @Excel(name = "1#当年累积充电量")
    @ApiModelProperty("1#当年累积充电量")
    private BigDecimal cumChargeYear;

    /** 1#总累计充电量 */
    @Excel(name = "1#总累计充电量")
    @ApiModelProperty("1#总累计充电量")
    private BigDecimal cumChargeAll;

    /** 1#当日累计用电量 */
    @Excel(name = "1#当日累计用电量")
    @ApiModelProperty("1#当日累计用电量")
    private BigDecimal cumEleDay;

    /** 1#当月累积用电量 */
    @Excel(name = "1#当月累积用电量")
    @ApiModelProperty("1#当月累积用电量")
    private BigDecimal cumEleMon;

    /** 1#当年累计用电量 */
    @Excel(name = "1#当年累计用电量")
    @ApiModelProperty("1#当年累计用电量")
    private BigDecimal cumEleYear;

    /** 1#总累积用电量 */
    @Excel(name = "1#总累积用电量")
    @ApiModelProperty("1#总累积用电量")
    private BigDecimal cumEleAll;

    /** 1#手动控制模式 */
    @Excel(name = "1#手动控制模式")
    @ApiModelProperty("1#手动控制模式")
    private BigDecimal shoudong;

    /** 1#远程通断电 */
    @Excel(name = "1#远程通断电")
    @ApiModelProperty("1#远程通断电")
    private BigDecimal control;

    /** 2#环境温度 */
    @Excel(name = "2#环境温度")
    @ApiModelProperty("2#环境温度")
    private BigDecimal airTemp2;

    /** 2#设备温度 */
    @Excel(name = "2#设备温度")
    @ApiModelProperty("2#设备温度")
    private BigDecimal mppTemp2;

    /** 2#电池电量 */
    @Excel(name = "2#电池电量")
    @ApiModelProperty("2#电池电量")
    private BigDecimal batteryCap2;

    /** 2#电池电压 */
    @Excel(name = "2#电池电压")
    @ApiModelProperty("2#电池电压")
    private BigDecimal batteryVolt2;

    /** 2#电池电流 */
    @Excel(name = "2#电池电流")
    @ApiModelProperty("2#电池电流")
    private BigDecimal batteryCur2;

    /** 2#电池功率 */
    @Excel(name = "2#电池功率")
    @ApiModelProperty("2#电池功率")
    private BigDecimal batteryPower2;

    /** 2#负载电压 */
    @Excel(name = "2#负载电压")
    @ApiModelProperty("2#负载电压")
    private BigDecimal loadVolt2;

    /** 2#负载电流 */
    @Excel(name = "2#负载电流")
    @ApiModelProperty("2#负载电流")
    private BigDecimal loadCur2;

    /** 2#负载功率 */
    @Excel(name = "2#负载功率")
    @ApiModelProperty("2#负载功率")
    private BigDecimal loadPower2;

    /** 2#光伏电压 */
    @Excel(name = "2#光伏电压")
    @ApiModelProperty("2#光伏电压")
    private BigDecimal photVolt2;

    /** 2#光伏电流 */
    @Excel(name = "2#光伏电流")
    @ApiModelProperty("2#光伏电流")
    private BigDecimal photCur2;

    /** 2#光伏功率 */
    @Excel(name = "2#光伏功率")
    @ApiModelProperty("2#光伏功率")
    private BigDecimal photPower2;

    /** 2#当日累计充电量 */
    @Excel(name = "2#当日累计充电量")
    @ApiModelProperty("2#当日累计充电量")
    private BigDecimal cumChargeDay2;

    /** 2#当月累计充电量 */
    @Excel(name = "2#当月累计充电量")
    @ApiModelProperty("2#当月累计充电量")
    private BigDecimal cumChargeMon2;

    /** 2#当年累积充电量 */
    @Excel(name = "2#当年累积充电量")
    @ApiModelProperty("2#当年累积充电量")
    private BigDecimal cumChargeYear2;

    /** 2#总累计充电量 */
    @Excel(name = "2#总累计充电量")
    @ApiModelProperty("2#总累计充电量")
    private BigDecimal cumChargeAll2;

    /** 2#当日累计用电量 */
    @Excel(name = "2#当日累计用电量")
    @ApiModelProperty("2#当日累计用电量")
    private BigDecimal cumEleDay2;

    /** 2#当年累计用电量 */
    @Excel(name = "2#当年累计用电量")
    @ApiModelProperty("2#当年累计用电量")
    private BigDecimal cumEleYear2;

    /** 2#总累积用电量 */
    @Excel(name = "2#总累积用电量")
    @ApiModelProperty("2#总累积用电量")
    private BigDecimal cumEleAll2;

    /** 2#手动控制模式 */
    @Excel(name = "2#手动控制模式")
    @ApiModelProperty("2#手动控制模式")
    private BigDecimal shoudong2;

    /** 2#远程通断电 */
    @Excel(name = "2#远程通断电")
    @ApiModelProperty("2#远程通断电")
    private BigDecimal control2;

    /** 2#当月累计用电量 */
    @Excel(name = "2#当月累计用电量")
    @ApiModelProperty("2#当月累计用电量")
    private BigDecimal cumEleMon2;

    /** 保存时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "保存时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("保存时间")
    private Date saveTime;

    /** 实时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实时时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("实时时间")
    private Date realTime;

}
