package com.fastbee.deviceData.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceData.domain.DeviceRealtimedataMeteorology;
import org.apache.ibatis.annotations.Mapper;

/**
 * 气象设备实时数据Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-14
 */
@Mapper
public interface DeviceRealtimedataMeteorologyMapper extends BaseMapper<DeviceRealtimedataMeteorology>
{
    /**
     * 查询气象设备实时数据
     *
     * @param id 气象设备实时数据主键
     * @return 气象设备实时数据
     */
    public DeviceRealtimedataMeteorology selectDeviceRealtimedataMeteorologyById(Long id);

    /**
     * 查询气象设备实时数据列表
     *
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 气象设备实时数据集合
     */
    public List<DeviceRealtimedataMeteorology> selectDeviceRealtimedataMeteorologyList(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 新增气象设备实时数据
     *
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataMeteorology(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 修改气象设备实时数据
     *
     * @param deviceRealtimedataMeteorology 气象设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataMeteorology(DeviceRealtimedataMeteorology deviceRealtimedataMeteorology);

    /**
     * 删除气象设备实时数据
     *
     * @param id 气象设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataMeteorologyById(Long id);

    /**
     * 批量删除气象设备实时数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataMeteorologyByIds(Long[] ids);
}
