package com.fastbee.deviceData.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceData.domain.DeviceRealtimedataWorms;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 虫情设备实时数据Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-14
 */
@Mapper
public interface DeviceRealtimedataWormsMapper extends BaseMapper<DeviceRealtimedataWorms>
{
    /**
     * 查询虫情设备实时数据
     *
     * @param id 虫情设备实时数据主键
     * @return 虫情设备实时数据
     */
    public DeviceRealtimedataWorms selectDeviceRealtimedataWormsById(Long id);

    /**
     * 查询虫情设备实时数据列表
     *
     * @param deviceRealtimedataWorms 虫情设备实时数据
     * @return 虫情设备实时数据集合
     */
    public List<DeviceRealtimedataWorms> selectDeviceRealtimedataWormsList(DeviceRealtimedataWorms deviceRealtimedataWorms);

    /**
     * 新增虫情设备实时数据
     *
     * @param deviceRealtimedataWorms 虫情设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataWorms(DeviceRealtimedataWorms deviceRealtimedataWorms);

    /**
     * 修改虫情设备实时数据
     *
     * @param deviceRealtimedataWorms 虫情设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataWorms(DeviceRealtimedataWorms deviceRealtimedataWorms);

    /**
     * 删除虫情设备实时数据
     *
     * @param id 虫情设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataWormsById(Long id);

    /**
     * 批量删除虫情设备实时数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataWormsByIds(Long[] ids);
    /**
     * 获取最新的虫情监控
     * @return
     */
    @Select("SELECT t1.* " +
            "FROM iot_device_realtimedata_worms t1 " +
            "JOIN ( " +
            "    SELECT device_addr, MAX(save_time) AS max_save_time " +
            "    FROM iot_device_realtimedata_worms " +
            "    GROUP BY device_addr " +
            ") t2 ON t1.device_addr = t2.device_addr AND t1.save_time = t2.max_save_time")
    public List<DeviceRealtimedataWorms> getWormsRealtimedata();
}
