package com.fastbee.deviceData.service;

import java.util.List;
import com.fastbee.deviceData.domain.DeviceRealtimedataPhotovoltaic;

/**
 * 光伏设备实时数据Service接口
 * 
 * @author kerwincui
 * @date 2024-11-14
 */
public interface IDeviceRealtimedataPhotovoltaicService 
{
    /**
     * 查询光伏设备实时数据
     * 
     * @param id 光伏设备实时数据主键
     * @return 光伏设备实时数据
     */
    public DeviceRealtimedataPhotovoltaic selectDeviceRealtimedataPhotovoltaicById(Long id);

    /**
     * 查询光伏设备实时数据列表
     * 
     * @param deviceRealtimedataPhotovoltaic 光伏设备实时数据
     * @return 光伏设备实时数据集合
     */
    public List<DeviceRealtimedataPhotovoltaic> selectDeviceRealtimedataPhotovoltaicList(DeviceRealtimedataPhotovoltaic deviceRealtimedataPhotovoltaic);

    /**
     * 新增光伏设备实时数据
     * 
     * @param deviceRealtimedataPhotovoltaic 光伏设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataPhotovoltaic(DeviceRealtimedataPhotovoltaic deviceRealtimedataPhotovoltaic);

    /**
     * 修改光伏设备实时数据
     * 
     * @param deviceRealtimedataPhotovoltaic 光伏设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataPhotovoltaic(DeviceRealtimedataPhotovoltaic deviceRealtimedataPhotovoltaic);

    /**
     * 批量删除光伏设备实时数据
     * 
     * @param ids 需要删除的光伏设备实时数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataPhotovoltaicByIds(Long[] ids);

    /**
     * 删除光伏设备实时数据信息
     * 
     * @param id 光伏设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataPhotovoltaicById(Long id);
}
