package com.fastbee.deviceInfo.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceInfo.domain.DeviceInformationMonitor;
import org.apache.ibatis.annotations.Mapper;

/**
 * 监控站设备基础信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-18
 */
@Mapper
public interface DeviceInformationMonitorMapper extends BaseMapper<DeviceInformationMonitor>
{
    /**
     * 查询监控站设备基础信息
     *
     * @param id 监控站设备基础信息主键
     * @return 监控站设备基础信息
     */
    public DeviceInformationMonitor selectDeviceInformationMonitorById(String deviceEncoding);

    /**
     * 查询监控站设备基础信息列表
     *
     * @param deviceInformationMonitor 监控站设备基础信息
     * @return 监控站设备基础信息集合
     */
    public List<DeviceInformationMonitor> selectDeviceInformationMonitorList(DeviceInformationMonitor deviceInformationMonitor);

    /**
     * 新增监控站设备基础信息
     *
     * @param deviceInformationMonitor 监控站设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationMonitor(DeviceInformationMonitor deviceInformationMonitor);

    /**
     * 修改监控站设备基础信息
     *
     * @param deviceInformationMonitor 监控站设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationMonitor(DeviceInformationMonitor deviceInformationMonitor);

    /**
     * 删除监控站设备基础信息
     *
     * @param id 监控站设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationMonitorById(Long id);

    /**
     * 批量删除监控站设备基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceInformationMonitorByIds(Long[] ids);
}
