package com.fastbee.ggroup.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;
import lombok.experimental.SuperBuilder;

/**
 * 图例对象 g_legend
 *
 * @author kerwincui
 * @date 2024-10-08
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GLegend",description = "图例 g_legend")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GLegend extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 图标 */
    @Excel(name = "图标")
    @ApiModelProperty("图标")
    private String icon;


    /** 图例名称 */
    @Excel(name = "图例名称")
    @ApiModelProperty("图例名称")
    private String name;

    /** 项目id */
    @Excel(name = "项目id")
    @ApiModelProperty("项目id")
    private Long projectId;

    /** 类别 */
    private String category;

    /**图例描述 */
    private String description;
    /** 搜索值 */
    private String searchValue;

}
