package com.fastbee.ggroup.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 站点基础信息对象 g_site_info
 *
 * @author kerwincui
 * @date 2024-10-10
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GSiteInfo",description = "站点基础信息 g_site_info")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GSiteMonitorInfo extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 站点ID，主键，自增长 */
    @TableId(type = com.baomidou.mybatisplus.annotation.IdType.AUTO)
    private Long id;

    /** 监测站点 */
            @Excel(name = "监测站点")
            @ApiModelProperty("监测站点")
    private String monitoringStation;

    /** 站点桩号 */
            @Excel(name = "站点桩号")
            @ApiModelProperty("站点桩号")
    private String pileNumber;

    /** 项目名称 */
            @Excel(name = "项目名称")
            @ApiModelProperty("项目名称")
    private String projectName;

    /** 建设年度 */
            @Excel(name = "建设年度")
            @ApiModelProperty("建设年度")
    private String constructionYear;

    /** 设备品牌 */
            @Excel(name = "设备品牌")
            @ApiModelProperty("设备品牌")
    private String equipmentBrand;

    /** 设备型号 */
            @Excel(name = "设备型号")
            @ApiModelProperty("设备型号")
    private String equipmentModel;

    /** 站点位置 */
            @Excel(name = "站点位置")
            @ApiModelProperty("站点位置")
    private String siteLocation;

    /** 站点坐标 */
            @Excel(name = "站点坐标")
            @ApiModelProperty("站点坐标")
    private String siteCoordinates;

    /** 经度 */
            @Excel(name = "经度")
            @ApiModelProperty("经度")
    private BigDecimal longitude;

    /** 纬度 */
            @Excel(name = "纬度")
            @ApiModelProperty("纬度")
    private BigDecimal latitude;

    /** 保护范围 */
            @Excel(name = "保护范围")
            @ApiModelProperty("保护范围")
    private String protectionScope;

    /** 保护范围备注 */
            @Excel(name = "保护范围备注")
            @ApiModelProperty("保护范围备注")
    private String protectionScopeRemarks;

    /** 故障报修 */
            @Excel(name = "故障报修")
            @ApiModelProperty("故障报修")
    private String faultReport;

    /** 管理人员 */
            @Excel(name = "管理人员")
            @ApiModelProperty("管理人员")
    private String manager;

    /** 管理者手机 */
            @Excel(name = "管理者手机")
            @ApiModelProperty("管理者手机")
    private String managerPhone;

    /** 站点实际图片URL */
            @Excel(name = "站点实际图片URL")
            @ApiModelProperty("站点实际图片URL")
    private String pictures;

    /** 行政区代码 */
            @Excel(name = "行政区代码")
            @ApiModelProperty("行政区代码")
    private String code;

    /** 备注 */
            @Excel(name = "备注")
            @ApiModelProperty("备注")
    private String remarks;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

    /** 所属站点id */
            @Excel(name = "所属站点id")
            @ApiModelProperty("所属站点id")
    private Long siteId;

}
