package com.fastbee.ggroup.domain.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.model.vo.iot.DeviceDetailVo;
import com.fastbee.iot.domain.Device;
import com.fastbee.iot.domain.SipRelation;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.data.annotation.Transient;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class GSiteDeviceDto extends Device {

    /** 主键 */
    private Long id;

    /** 站点id */
    private Long siteId;

    /** 设备id */
    private Long deviceId;

    /** 设备名称 */
    private String deviceName;

    /** 产品ID */
    private Long productId;

    /** 产品名称 */
    private String productName;

    /** 租户ID */
    private Long tenantId;

    /** 租户名称 */
    private String tenantName;

    /** 设备编号 */
    private String serialNumber;

    /** 固件版本 */
    private BigDecimal firmwareVersion;

    /** 设备类型（1-直连设备、2-网关设备、3-监控设备） */
    private Integer deviceType;

    /** 设备状态（1-未激活，2-禁用，3-在线，4-离线） */
    @Excel(name = "设备状态")
    private Integer status;

    /** wifi信号强度（信号极好4格[-55— 0]，信号好3格[-70— -55]，信号一般2格[-85— -70]，信号差1格[-100— -85]） */
    private Integer rssi;

    /** 设备影子 */
    private Integer isShadow;

    /** 设备所在地址 */
    private String networkAddress;

    /** 设备入网IP */
    private String networkIp;

    /** 设备经度 */
    private BigDecimal longitude;

    /** 设备纬度 */
    private BigDecimal latitude;

    /** 激活时间 */
    private Date activeTime;

    /** 子设备网关编号 */
    private String gwDevCode;

    /** 物模型值 */
    private String thingsModelValue;

    /** 图片地址 */
    private String imgUrl;

    /** 是否自定义位置 **/
    private Integer locationWay;

    /** 设备摘要 **/
    private String summary;

    /**
     * 设备名称编号搜索
     */
    private String deviceNameOrSerialNumber;

    /** 分组ID，用于分组查询 **/
    private Long groupId;

    /** 是否设备所有者，用于查询 **/
    private Integer isOwner;
    /**子设备数量*/
    private Integer subDeviceCount;
    /**是否是模拟设备*/
    private Integer isSimulate;
    /**子设备地址*/
    private Integer slaveId;
    /**设备传输协议*/
    private String transport;

    private Long deptId;
    //设备详情
    private Boolean showChild;

    private List<Device> subDeviceList;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    private String devParams;
    private String caretaker;
    private String managementUnit;
    private String tel;

}
