package com.fastbee.iot.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 刷卡记录对象 ng_card_swipe_records
 *
 * @author kerwincui
 * @date 2024-12-30
 */
@ApiModel(value = "NgCardSwipeRecords",description = "刷卡记录 ng_card_swipe_records")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgCardSwipeRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增 */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private Long userId;

    /** 设备编码 */
    @Excel(name = "设备编码")
    @ApiModelProperty("设备编码")
    private String deviceNumber;

    /** 0=开阀，1=关阀 */
    @Excel(name = "0=开阀，1=关阀")
    @ApiModelProperty("0=开阀，1=关阀")
    private Integer cardSwipeType;

    /** 购水卡卡号 */
    @Excel(name = "购水卡卡号")
    @ApiModelProperty("购水卡卡号")
    private String cardNumber;

    /** 机构id */
    @Excel(name = "机构id")
    @ApiModelProperty("机构id")
    private Long deptId;

    /** 刷卡时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:MM:SS")
    @Excel(name = "刷卡时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("刷卡时间")
    private Date cardSwipeTime;

    /** 此次开关阀消费金额（只在关阀时填写） */
    @Excel(name = "此次开关阀消费金额", readConverterExp = "只=在关阀时填写")
    @ApiModelProperty("此次开关阀消费金额")
    private BigDecimal amountDue;

    /** 区域码 */
    @Excel(name = "区域码")
    @ApiModelProperty("区域码")
    private String areaCode;

    /** 用户名称 */
    @Excel(name = "用户名称")
    @ApiModelProperty("用户名称")
    private String userName;

}
