package com.fastbee.iot.domain;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 流量计设备数据对象 ng_flow_device_data
 *
 * @author kerwincui
 * @date 2024-12-30
 */
@ApiModel(value = "NgFlowDeviceData",description = "流量计设备数据 ng_flow_device_data")
@Data
public class NgFlowDeviceData implements Serializable {
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** shun'shi */
            @Excel(name = "瞬时流量")
            @ApiModelProperty("瞬时流量")
    private String  inFlow;

    /** 累计流量 */
            @Excel(name = "累计流量")
            @ApiModelProperty("累计流量")
    private String sumFlow;

    /** 设备编码 */
            @Excel(name = "设备编码")
            @ApiModelProperty("设备编码")
    private String deviceNumber;

    /** 实时时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @Excel(name = "实时时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
            @ApiModelProperty("实时时间")
    private Date realTime;

    /** 设备状态 0未启用1离线2在线 */
            @Excel(name = "设备状态 0未启用1离线2在线")
            @ApiModelProperty("设备状态 0未启用1离线2在线")
    private Long status;

    /** 保存时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @Excel(name = "保存时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
            @ApiModelProperty("保存时间")
    private Date saveTime;

    /** ji'gou */
            @Excel(name = "机构",isExport = false)
            @ApiModelProperty("机构")
    private Long deptId;

}
