package com.fastbee.iot.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 设备编号累加，记录设备编号的排序对象 util_device_number_add
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@ApiModel(value = "UtilDeviceNumberAdd",description = "设备编号累加，记录设备编号的排序 util_device_number_add")
@Data
public class UtilDeviceNumberAdd implements Serializable {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 设备编号前缀 */
            @Excel(name = "设备编号前缀")
            @ApiModelProperty("设备编号前缀")
            private String prefix;

    /** 后缀 */
            @Excel(name = "后缀")
            @ApiModelProperty("后缀")
    private Long suffix;



            /** 创建时间 */
            @ApiModelProperty("创建时间")
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            private Date createTime;



            /** 更新时间 */
            @ApiModelProperty("更新时间")
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            private Date updateTime;

}
