package com.fastbee.iot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.iot.domain.NgCardSwipeRecords;
import org.springframework.stereotype.Repository;

/**
 * 刷卡记录Mapper接口
 *
 * @author kerwincui
 * @date 2024-12-30
 */
@Repository
public interface NgCardSwipeRecordsMapper extends BaseMapper<NgCardSwipeRecords>
{
    /**
     * 查询刷卡记录
     *
     * @param id 刷卡记录主键
     * @return 刷卡记录
     */
    public NgCardSwipeRecords selectNgCardSwipeRecordsById(Long id);

    /**
     * 查询用户刷卡记录列表
     *
     * @param ngCardSwipeRecords 刷卡记录
     * @return 刷卡记录集合
     */
    public List<NgCardSwipeRecords> selectNgCardSwipeRecordsUserList(NgCardSwipeRecords ngCardSwipeRecords);

    /**
     * 查询刷卡记录列表
     *
     * @param ngCardSwipeRecords 刷卡记录
     * @return 刷卡记录集合
     */
    public List<NgCardSwipeRecords> selectNgCardSwipeRecordsList(NgCardSwipeRecords ngCardSwipeRecords);

    /**
     * 新增刷卡记录
     *
     * @param ngCardSwipeRecords 刷卡记录
     * @return 结果
     */
    public int insertNgCardSwipeRecords(NgCardSwipeRecords ngCardSwipeRecords);

    /**
     * 修改刷卡记录
     *
     * @param ngCardSwipeRecords 刷卡记录
     * @return 结果
     */
    public int updateNgCardSwipeRecords(NgCardSwipeRecords ngCardSwipeRecords);

    /**
     * 删除刷卡记录
     *
     * @param id 刷卡记录主键
     * @return 结果
     */
    public int deleteNgCardSwipeRecordsById(Long id);

    /**
     * 批量删除刷卡记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgCardSwipeRecordsByIds(Long[] ids);
}
