package com.fastbee.iot.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fastbee.iot.domain.DeviceReportInfo;
import com.fastbee.iot.domain.NgFlowDeviceData;

/**
 * 设备上电审核前上报的基础信息Service接口
 * 
 * @author kerwincui
 * @date 2024-12-05
 */
public interface IDeviceReportInfoService extends IService<DeviceReportInfo>
{
    /**
     * 查询设备上电审核前上报的基础信息
     * 
     * @param id 设备上电审核前上报的基础信息主键
     * @return 设备上电审核前上报的基础信息
     */
    public DeviceReportInfo selectDeviceReportInfoById(Long id);

    /**
     * 查询设备上电审核前上报的基础信息列表
     * 
     * @param deviceReportInfo 设备上电审核前上报的基础信息
     * @return 设备上电审核前上报的基础信息集合
     */
    public List<DeviceReportInfo> selectDeviceReportInfoList(DeviceReportInfo deviceReportInfo);

    /**
     * 新增设备上电审核前上报的基础信息
     * 
     * @param deviceReportInfo 设备上电审核前上报的基础信息
     * @return 结果
     */
    public int insertDeviceReportInfo(DeviceReportInfo deviceReportInfo);

    /**
     * 修改设备上电审核前上报的基础信息
     * 
     * @param deviceReportInfo 设备上电审核前上报的基础信息
     * @return 结果
     */
    public int updateDeviceReportInfo(DeviceReportInfo deviceReportInfo);

    /**
     * 批量删除设备上电审核前上报的基础信息
     * 
     * @param ids 需要删除的设备上电审核前上报的基础信息主键集合
     * @return 结果
     */
    public int deleteDeviceReportInfoByIds(Long[] ids);

    /**
     * 删除设备上电审核前上报的基础信息信息
     * 
     * @param id 设备上电审核前上报的基础信息主键
     * @return 结果
     */
    public int deleteDeviceReportInfoById(Long id);

    boolean updateDeviceReportStatus(List<DeviceReportInfo> deviceReportInfo);
}
