package com.fastbee.rechargecard.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 村官员信息对象 ng_Information_village_keeper
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@ApiModel(value = "NgInformationVillageKeeper",description = "村官员信息 ng_Information_village_keeper")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgInformationVillageKeeper extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
            @Excel(name = "主键")
            @ApiModelProperty("主键")
    private Long villageKeeperId;

    /** 村官员编号 */
            @Excel(name = "村官员编号")
            @ApiModelProperty("村官员编号")
    private String officialId;

    /** 姓名 */
            @Excel(name = "姓名")
            @ApiModelProperty("姓名")
    private String name;

    /** 职位 */
            @Excel(name = "职位")
            @ApiModelProperty("职位")
    private String position;

    /** 所属区域 */
            @Excel(name = "所属区域")
            @ApiModelProperty("所属区域")
    private String belongingRegion;

    /** 性别 */
            @Excel(name = "性别")
            @ApiModelProperty("性别")
    private String gender;

    /** 年龄 */
            @Excel(name = "年龄")
            @ApiModelProperty("年龄")
    private Long age;

    /** 党派 */
            @Excel(name = "党派")
            @ApiModelProperty("党派")
    private String partyMembership;

    /** 联系方式 */
            @Excel(name = "联系方式")
            @ApiModelProperty("联系方式")
    private String contactInformation;

    /** 任职日期 */
            @JsonFormat(pattern = "yyyy-MM-dd")
            @Excel(name = "任职日期", width = 30, dateFormat = "yyyy-MM-dd")
            @ApiModelProperty("任职日期")
    private Date appointmentDate;

    /** 教育背景 */
            @Excel(name = "教育背景")
            @ApiModelProperty("教育背景")
    private String educationBackground;

    /** 工作经历 */
            @Excel(name = "工作经历")
            @ApiModelProperty("工作经历")
    private String workExperience;
            /** 所属机构 */
            @Excel(name = "所属机构")
            @ApiModelProperty("所属机构")
            private Long deptId;


        }
