package com.fastbee.rechargecard.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 取水口信息对象 ng_information_water_intake
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@ApiModel(value = "NgInformationWaterIntake",description = "取水口信息 ng_information_water_intake")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgInformationWaterIntake extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long intakeId;

    /** 取水口编号 */
            @Excel(name = "取水口编号")
            @ApiModelProperty("取水口编号")
    private String wellId;

    /** 设备编号 */
            @Excel(name = "设备编号")
            @ApiModelProperty("设备编号")
    private String deviceCode;

    /** 位置 */
            @Excel(name = "位置")
            @ApiModelProperty("位置")
    private String location;

    /** 建造日期 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @Excel(name = "建造日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
            @ApiModelProperty("建造日期")
    private Date constructionDate;

    /** 维护状态 */
            @Excel(name = "维护状态")
            @ApiModelProperty("维护状态")
    private Long maintenanceStatus;

    /** 上次维护日期 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @Excel(name = "上次维护日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
            @ApiModelProperty("上次维护日期")
    private Date lastMaintenanceDate;

    /** 水质 */
            @Excel(name = "水质")
            @ApiModelProperty("水质")
    private String waterQuality;

    /** 取水量 */
            @Excel(name = "取水量")
            @ApiModelProperty("取水量")
    private BigDecimal waterExtractionVolume;

    /** 类型 */
            @Excel(name = "类型")
            @ApiModelProperty("类型")
    private String type;

    /** 负责人 */
            @Excel(name = "负责人")
            @ApiModelProperty("负责人")
    private String responsiblePerson;

    /** 联系电话 */
            @Excel(name = "联系电话")
            @ApiModelProperty("联系电话")
    private String contactInformation;

    /** 取水口参数 */
            @Excel(name = "取水口参数")
            @ApiModelProperty("取水口参数")
    private String parameter;

            /** 所属机构 */
            @Excel(name = "所属机构")
            @ApiModelProperty("所属机构")
            private Long deptId;


        }
