package com.fastbee.rechargecard.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 用水户信息对象 ng_information_water_user
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@ApiModel(value = "NgInformationWaterUser",description = "用水户信息 ng_information_water_user")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgInformationWaterUser extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long waterUserId;

    /** 用水户名称 */
            @Excel(name = "用水户名称")
            @ApiModelProperty("用水户名称")
    private String name;

    /** 用水户账号 */
            @Excel(name = "用水户账号")
            @ApiModelProperty("用水户账号")
    private String account;

    /** 年用水量 */
            @Excel(name = "年用水量")
            @ApiModelProperty("年用水量")
    private BigDecimal waterConsumption;

    /** 年度用水指标 */
            @Excel(name = "年度用水指标")
            @ApiModelProperty("年度用水指标")
    private BigDecimal waterConsumptionindex;

    /** 流量预警状态 */
            @Excel(name = "流量预警状态")
            @ApiModelProperty("流量预警状态")
    private Long warningStatus;

    /** 灌溉面积 */
            @Excel(name = "灌溉面积")
            @ApiModelProperty("灌溉面积")
    private BigDecimal irrigatedArea;

    /** 所属区域 */
            @Excel(name = "所属区域")
            @ApiModelProperty("所属区域")
    private String belongingGegion;

    /** 联系方式 */
            @Excel(name = "联系方式")
            @ApiModelProperty("联系方式")
    private String contactInformation;

            /** 小程序用户id */
            @Excel(name = "小程序用户id")
            @ApiModelProperty("小程序用户id")
            private Long userId;

            /** 所属机构id */
            @Excel(name = "所属机构id")
            @ApiModelProperty("所属机构id")
            private Long deptId;

}
