package com.fastbee.rechargecard.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 灌溉控制器信息对象 ng_irrigation_controllers
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@ApiModel(value = "NgIrrigationControllers",description = "灌溉控制器信息 ng_irrigation_controllers")
@Data
@EqualsAndHashCode(callSuper = true)
public class NgIrrigationControllers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 控制器编码 */
    @Excel(name = "控制器编码")
    @ApiModelProperty("控制器编码")
    private String serialNumber;

    /** 控制器名称 */
    @Excel(name = "控制器名称")
    @ApiModelProperty("控制器名称")
    private String controllerName;

    /** 控制器型号 */
    @Excel(name = "控制器型号")
    @ApiModelProperty("控制器型号")
    private String controllerModel;

    /** 安装日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安装日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("安装日期")
    private Date installationDate;

    /** 控制器状态,0=开启，1=关闭，2=维护中 */
    @Excel(name = "控制器状态,0=开启，1=关闭，2=维护中")
    @ApiModelProperty("控制器状态,0=开启，1=关闭，2=维护中")
    private Integer status;

    /** 上次维护日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上次维护日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("上次维护日期")
    private Date lastMaintenance;

    /** 区域码 */
    @Excel(name = "区域码")
    @ApiModelProperty("区域码")
    private String areaCode;

}
