package com.fastbee.rechargecard.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 商户信息对象 ng_merchants
 *
 * @author kerwincui
 * @date 2024-12-27
 */
@ApiModel(value = "NgMerchants",description = "商户信息 ng_merchants")
@Data
public class NgMerchants
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 商户号 */
            @Excel(name = "商户号")
            @ApiModelProperty("商户号")
    private String mchId;

    /** 商户API私钥 */
            @Excel(name = "商户API私钥")
            @ApiModelProperty("商户API私钥")
    private String privateKeyPath;

    /** 商户API证书序列号 */
            @Excel(name = "商户API证书序列号")
            @ApiModelProperty("商户API证书序列号")
    private String serialNo;

    /** 商户APIV3密钥  */
            @Excel(name = "商户APIV3密钥 ")
            @ApiModelProperty("商户APIV3密钥 ")
    private String apiV3Key;

    /** 微信支付公钥 */
            @Excel(name = "微信支付公钥")
            @ApiModelProperty("微信支付公钥")
    private String publicKeyPath;

    /** 灌区外键 */
            @Excel(name = "灌区外键")
            @ApiModelProperty("灌区外键")
    private Long deptId;

    /** 微信平台证书 */
            @Excel(name = "微信平台证书")
            @ApiModelProperty("微信平台证书")
    private String platformCertificates;

            /** 微信支付公钥id */
            @Excel(name = "微信支付公钥id")
            @ApiModelProperty("微信支付公钥id")
            private String wechatPublicKeyId;

            /** 平台证书序列号 */
            @Excel(name = "平台证书序列号")
            @ApiModelProperty("平台证书序列号")
            private String platformCertificateSerialNumber;

}
