package com.fastbee.rechargecard.mapper;

import java.util.List;
import com.fastbee.rechargecard.domain.NgInformationVillageKeeper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 村官员信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@Mapper
public interface NgInformationVillageKeeperMapper
{
    /**
     * 查询村官员信息
     *
     * @param villageKeeperId 村官员信息主键
     * @return 村官员信息
     */
    public NgInformationVillageKeeper selectNgInformationVillageKeeperByVillageKeeperId(Long villageKeeperId);

    /**
     * 查询村官员信息列表
     *
     * @param ngInformationVillageKeeper 村官员信息
     * @return 村官员信息集合
     */
    public List<NgInformationVillageKeeper> selectNgInformationVillageKeeperList(NgInformationVillageKeeper ngInformationVillageKeeper);

    /**
     * 新增村官员信息
     *
     * @param ngInformationVillageKeeper 村官员信息
     * @return 结果
     */
    public int insertNgInformationVillageKeeper(NgInformationVillageKeeper ngInformationVillageKeeper);

    /**
     * 修改村官员信息
     *
     * @param ngInformationVillageKeeper 村官员信息
     * @return 结果
     */
    public int updateNgInformationVillageKeeper(NgInformationVillageKeeper ngInformationVillageKeeper);

    /**
     * 删除村官员信息
     *
     * @param villageKeeperId 村官员信息主键
     * @return 结果
     */
    public int deleteNgInformationVillageKeeperByVillageKeeperId(Long villageKeeperId);

    /**
     * 批量删除村官员信息
     *
     * @param villageKeeperIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgInformationVillageKeeperByVillageKeeperIds(Long[] villageKeeperIds);
}
