package com.fastbee.rechargecard.mapper;


import com.fastbee.rechargecard.domain.NgInformationWaterUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 用水户信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-12-19
 */
@Mapper
public interface NgInformationWaterUserMapper
{
    /**
     * 查询用水户信息
     *
     * @param waterUserId 用水户信息主键
     * @return 用水户信息
     */
    public NgInformationWaterUser selectNgInformationWaterUserByWaterUserId(Long waterUserId);

    /**
     * 查询用水户信息列表
     *
     * @param ngInformationWaterUser 用水户信息
     * @return 用水户信息集合
     */
    public List<NgInformationWaterUser> selectNgInformationWaterUserList(NgInformationWaterUser ngInformationWaterUser);

    /**
     * 新增用水户信息
     *
     * @param ngInformationWaterUser 用水户信息
     * @return 结果
     */
    public int insertNgInformationWaterUser(NgInformationWaterUser ngInformationWaterUser);

    /**
     * 修改用水户信息
     *
     * @param ngInformationWaterUser 用水户信息
     * @return 结果
     */
    public int updateNgInformationWaterUser(NgInformationWaterUser ngInformationWaterUser);

    /**
     * 删除用水户信息
     *
     * @param waterUserId 用水户信息主键
     * @return 结果
     */
    public int deleteNgInformationWaterUserByWaterUserId(Long waterUserId);

    /**
     * 批量删除用水户信息
     *
     * @param waterUserIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgInformationWaterUserByWaterUserIds(Long[] waterUserIds);
}
