package com.fastbee.rechargecard.service;

import java.util.List;
import com.fastbee.rechargecard.domain.NgInformationWaterIntake;

/**
 * 取水口信息Service接口
 * 
 * @author kerwincui
 * @date 2024-12-19
 */
public interface INgInformationWaterIntakeService 
{
    /**
     * 查询取水口信息
     * 
     * @param intakeId 取水口信息主键
     * @return 取水口信息
     */
    public NgInformationWaterIntake selectNgInformationWaterIntakeByIntakeId(Long intakeId);

    /**
     * 查询取水口信息列表
     * 
     * @param ngInformationWaterIntake 取水口信息
     * @return 取水口信息集合
     */
    public List<NgInformationWaterIntake> selectNgInformationWaterIntakeList(NgInformationWaterIntake ngInformationWaterIntake);

    /**
     * 新增取水口信息
     * 
     * @param ngInformationWaterIntake 取水口信息
     * @return 结果
     */
    public int insertNgInformationWaterIntake(NgInformationWaterIntake ngInformationWaterIntake);

    /**
     * 修改取水口信息
     * 
     * @param ngInformationWaterIntake 取水口信息
     * @return 结果
     */
    public int updateNgInformationWaterIntake(NgInformationWaterIntake ngInformationWaterIntake);

    /**
     * 批量删除取水口信息
     * 
     * @param intakeIds 需要删除的取水口信息主键集合
     * @return 结果
     */
    public int deleteNgInformationWaterIntakeByIntakeIds(Long[] intakeIds);

    /**
     * 删除取水口信息信息
     * 
     * @param intakeId 取水口信息主键
     * @return 结果
     */
    public int deleteNgInformationWaterIntakeByIntakeId(Long intakeId);
}
